> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/tournaments/response-model.md).

# Response Model

## Tournament Object

| Field Name      | Type                      | Description                                                                                                                                                                                                       |
| --------------- | ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sport           | string                    | The sport of the tournament                                                                                                                                                                                       |
| tournamentName  | string                    | The name of the tournament                                                                                                                                                                                        |
| city            | string                    | The city where the tournament is being held                                                                                                                                                                       |
| status          | string                    | The status of the tournament - Cancelled, Confirmed or Unconfirmed. Note that occasionally scheduled tournaments will not take place (e.g. a sponsor pulls out) in which case the status will be set to Cancelled |
| location        | string                    | The country or state (US only) and country where the tournament is being held. See countryCode for a fixed format location field                                                                                  |
| countryCode     | string                    | ISO-3166-1 alpha-3 country code of the country where the tournament is taking place. If the country is currently unknown, the code “ZZZ” will be returned.                                                        |
| startDate       | date                      | The date the tournament starts                                                                                                                                                                                    |
| endDate         | date                      | The date the tournament starts                                                                                                                                                                                    |
| year            | int                       | The year of the tournament                                                                                                                                                                                        |
| identifier      | int                       | Identifier for the tournament                                                                                                                                                                                     |
| numberOfMatches | int                       | The number of matches to be played in this tournament. Note that for Tennis and Badminton this number is initially an estimate and will become more accurate as the order of play is released                     |
| utcOffset       | double                    | The number of hours difference between the tournament location’s timezone and UTC. This accounts for daylght savings.                                                                                             |
| eventsSummary   | object                    | The number of matches to be played on each day, if known. This data is only available once the order of play for the tournament is released. See object definition below                                          |
| competitions    | <p>array<br>\[object]</p> | The competitions which are played as part of the tournament. See object definition below                                                                                                                          |

### EventsSummary Object

| Field Name    | Type   | Description                                                                                                                                                                                                                                                                                                     |
| ------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventsSummary | object | Object containing the number of events on the specified date. There are codes for the types of events: MS - Mens Singles, LS - Ladies Singles, MD - Mens Doubles, LD - Ladies Doubles, XD - Mixed Doubles. The above codes can be prefixed with ‘Q’ to indicate they are part of qualifying for the competition |

### Competition Object

| Field Name         | Type   | Description                                                                                                                                    |
| ------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| organisation       | string | Name of the organisation running the competition (ITTF or WTT)                                                                                 |
| externalId         | string | External identifier for the competition.                                                                                                       |
| competitionId      | int    | Identifier for the competition                                                                                                                 |
| participantType    | string | The competition type - possible values are: MS - Mens Singles, LS - Ladies Singles, MD - Mens Doubles, LD - Ladies Doubles, XD - Mixed Doubles |
| drawSize           | int    | Draw size for the main competition                                                                                                             |
| qualifyingDrawSize | int    | Draw size for the qualifying competition                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/tournaments/response-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
